Summary: Lanman and nt md4 hash functions 
Name: 	 perl-Crypt-SmbHash
Version: 0.12
Release: 0.0%{?dist_tag}.kde
License: GPL or Artistic
Group:	 Development/Libraries
URL:	 http://search.cpan.org/~bjkuit/Crypt-SmbHash-0.12/ 
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
BuildArch: noarch

BuildRequires: perl >= 2:5.8.0
Requires: %(perl -MConfig -le 'if (defined $Config{useithreads}) { print "perl(:WITH_ITHREADS)" } else { print "perl(:WITHOUT_ITHREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{usethreads}) { print "perl(:WITH_THREADS)" } else { print "perl(:WITHOUT_THREADS)" }')
Requires: %(perl -MConfig -le 'if (defined $Config{uselargefiles}) { print "perl(:WITH_LARGEFILES)" } else { print "perl(:WITHOUT_LARGEFILES)" }')
Source0: http://search.cpan.org/CPAN/authors/id/B/BJ/BJKUIT/Crypt-SmbHash-0.12.tar.gz


%description
Perl-only implementation of lanman and nt md4 hash functions, 
for use in Samba style smbpasswd entries


%prep
%setup -q -n Crypt-SmbHash-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor < /dev/null
make OPTIMIZE="$RPM_OPT_FLAGS"
make test


%install
rm -rf $RPM_BUILD_ROOT
eval `perl '-V:installarchlib'`
mkdir -p $RPM_BUILD_ROOT$installarchlib
%makeinstall

rm -f `find $RPM_BUILD_ROOT -type f -name perllocal.pod -o -name .packlist`

[ -x %{_libdir}/rpm/brp-compress ] && %{_libdir}/rpm/brp-compress

find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
	sed "s@^$RPM_BUILD_ROOT@@g" > %{name}-%{version}-%{release}-filelist
if [ "$(cat %{name}-%{version}-%{release}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit 1
fi


%clean
rm -rf $RPM_BUILD_ROOT


%files -f %{name}-%{version}-%{release}-filelist
%defattr(-,root,root,-)
%doc Changes README 


%changelog
* Thu Feb 03 2005 Rex Dieter <rexdieter[AT]users.sf.net> 0.12-0.0
- 0.12 (first try) 
